Subject: Re: [PATCH net-next v1 1/2] net: dsa: mv88e6xxx: Default CMODE to 1000BaseX only on 6390X

From: Andrew Lunn <[email-masked]>
Date: Thu, 24 Jan 2019 20:31:18 +0100

> > The function dsa_port_fixed_link_register_of creates this phy device,
> > adjusts the link and then calls  put_device(&phydev->mdio.dev);
> > Does this mean that the phy device is immediately destroyed?
> 
> Yes, we should actually migrate that code over to PHYLINK, because in
> PHYLINK the fixed links don't require creating a phy_device instance.
> This is something that has a potential of breaking a lot of people, so I
> have not really started doing it just yet :)

Hi Florian

It also has the advantage of being easier to implement. In order to
support 2.5G, i think we need C45 support, etc in the simulator.
Avoiding that would be nice.

	 Andrew